<!-- Show outstanding invoices -->
@if($list->count())
	<table class="table table-bordered table-striped" id="invoices_credit_{{$type}}">
		<thead>
		<tr>
			<th>Account</th>
			<th>#</th>
			<th>Due</th>
			<th class="text-right">Items</th>
			<th class="text-right">Discounts</th>
			<th class="text-right">Total</th>
			<th class="text-right">Payments</th>
			<th class="text-right">Balance</th>
		</tr>
		</thead>

		<tbody>
		@foreach($list as $oo)
			<tr>
				<td>{{ $oo->account->name }}</td>
				<td><a href="{{ url('u/invoice',$oo->id) }}">{{ $oo->lid }}</a></td>
				<td>{{ $oo->due_at->format('Y-m-d') }}</td>
				<td class="text-right">${{ number_format($oo->_item+$oo->_tax,2) }}</td>
				<td class="text-right">${{ number_format($oo->_discount,2) }}</td>
				<td class="text-right">${{ number_format($oo->_total,2) }}</td>
				<td class="text-right">${{ number_format($oo->_payment,2) }}</td>
				<td class="text-right">${{ number_format($oo->_balance,2) }}</td>
			</tr>
		@endforeach
		</tbody>
	</table>
@else
	<p>No invoices to list</p>
@endif

@pa(datatables,rowgroup|conditionalpaging)

@section('page-scripts')
	<script type="text/javascript">
		@if($list->count())
			$(document).ready(function() {
				$('#invoices_credit_{{$type}}').DataTable({
					conditionalPaging: true,
					// If we have more than 1 account id, order by account
					order: [[0,'asc'],[2,'asc'],[1,'desc']],
					rowGroup: {
						dataSrc: 0,
					},
					columnDefs: [
						{
							targets: [0],
							visible: false,
						}
					],
				});
			});
		@endif
	</script>
@append